%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name et-xmlfile
%global srcname et_xmlfile

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        2.0.0
Release:        1.0.1%{?dist}
Summary:        An implementation of lxml.xmlfile for the standard library

License:        MIT
URL:            https://foss.heptapod.net/openpyxl/et_xmlfile
Source0:        https://files.pythonhosted.org/packages/source/e/%{srcname}/et_xmlfile-%{version}.tar.gz
Source1:        LICENSE.rst
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n et_xmlfile-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info
pwd
cp %SOURCE1 .
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE.rst
%{python3_sitelib}/et_xmlfile
%{python3_sitelib}/et_xmlfile-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 17 2025 Rafael Barron <rafael.barron@oracle.com> - 2.0.0-1.0.1
- Update to 2.0.0

* Fri Jul 19 2024 Craig Guiller <craig.guiller@oracle.com> - 1.1.0-2.0.3
- Rebuild for python 3.11

* Mon Apr 24 2023 Lans Hung <lans.hung@oracle.com> - 1.1.0-2.0.2
- Add License

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.0-2.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.1.0-2
- Build against python 3.9

* Wed Nov 03 2021 Odilon Sousa 1.1.0-1
- Update to 1.1.0

* Mon Sep 06 2021 Evgeni Golov - 1.0.1-2
- Build against Python 3.8

* Tue Apr 28 2020 Evgeni Golov - 1.0.1-1
- Initial package.
